package net.waltzstudio.montecarlo.entity.account;

import org.seasar.extension.jdbc.name.PropertyName;
import net.waltzstudio.base.framework.entity.AuditEntityName;
import net.waltzstudio.montecarlo.types.AdminFlg;

/**
 * アカウントEntityName
 */
public interface AccountName extends AuditEntityName {

	/** ID */
	public static PropertyName<Long> $ID = new PropertyName<Long>("id");

	/** 名前 */
	public static PropertyName<String> $NAME = new PropertyName<String>("name");

	/** Email */
	public static PropertyName<String> $EMAIL = new PropertyName<String>("email");

	/** ログイン */
	public static PropertyName<String> $LOGIN = new PropertyName<String>("login");

	/** パスワード */
	public static PropertyName<String> $PASSWORD = new PropertyName<String>("password");

	/** 管理者フラグ */
	public static PropertyName<AdminFlg> $ADMIN_FLG = new PropertyName<AdminFlg>("admin_flg");

}
